Supported IBM and vendor-acquired software with TXSeries for Multiplatforms 7.1 on IBM AIX

News


Abstract

The following tables lists the IBM and vendor-acquired software supported for use with TXSeries for Multiplatforms 7.1 on AIX.

Content

This page provides information about the levels of IBM and vendor-acquired software that are compatible with TXSeries 7.1. However, since every possible combination of products cannot be tested, we suggest that you contact the vendor to verify that a particular product is supported for use with TXSeries. Maintenance levels listed below are minimum levels. TXSeries is not tested with every maintenance level of every product; we generally assume vendors do not cause regressions in their patches/SPs/FPs/CSDs/PTFs. If you use later maintenance levels and experience problems, test with the levels specified in this document before contacting your IBM support representative.
Products that do not appear in the following tables have not been tested with TXSeries 7.1. TXSeries is periodically tested with additional vendor-acquired software and the information is updated accordingly.

TXSeries is a 32-bit product. All libraries linked with TXSeries must be 32-bit libraries. Most vendors offering 64-bit versions of their products provide 32-bit client libraries. On 64-bit UNIX operating systems, TXSeries runs in 32-bit compatibility mode where support is noted in the operating system entry in the table below.

Note:

  • Since interaction between releases of operating systems, software products, and TXSeries is very complex, information on this page can possibly conflict with information that is provided by product vendors. If you notice such an inconsistency or if you experience unanticipated problems, consult your vendor's product support and notify your IBM support representative.
  • IBM recommends that you maintain your TXSeries system environments at the latest fix pack level. See TXSeries for Multiplatforms support policy statement for more details.

Operating System

Software
OS
Version
Software Version
Notes
IBM AIX
5.3

6.1

7.1
5.3 TL7

6.1 TL2

7.1 GA SP1
TXSeries is also supported on System WPAR with AIX 6.1 and AIX 7.1.
APAR IV01797 is required from AIX 6.1 onwards.


Compilers

Software
Software Version
Notes
IBM XL C/C++
9.0
10.1
11.1
IBM XL C/C++ 11.1 Sep 2010 PTF has been tested on AIX 6.1 and AIX 7.1.
IBM COBOL
2.0
3.1
4.1.1.9
Only 32-bit version is supported.
IBM COBOL 4.1.1.9 is supported with TXSeries 7.1 Fix Pack 4.
IBM PL/I
2.0.0.14
3.1
TXSeries 7.1 Fix Pack 3 is required for PL/I 3.1.
MicroFocus Server Express COBOL
5.0
5.1
Only 32-bit version is supported.
IBM J2SE SDK
1.5 + SR7

Databases

Software
Software Version
Notes
IBM DB2 UDB
9.1.3
9.5
9.7
9.8
10.1
10.5
TXSeries 7.1 Fix Pack 1 is required for DB2 9.7.
To use DB2 9.8 pureScale clustering environment, the minimum DB2 client version required is 9.7 Fix Pack 3.
DB2 10.1 is supported with TXSeries 7.1 Fix Pack 3.
For using DB2 10.5 pureScale, see this link for details .
Oracle
10.2.0.1
11.1.0.7
11.2.0.1
Oracle 11.2.0.1 is supported with TXSeries 7.1 Fix Pack 2. Refer to the Technotes on issues related to samples and XA_CLOSE.
Informix Client SDK
3.5
Tested using Informix Dynamic Server 11.5.
Sybase
15.0
Tested using Adaptive Server Enterprise 15.0.3.

Note : All databases are tested and supported with the client versions shown for the Software Version.

Communication Software

Software
Software Version
Notes
IBM Communication Server
6.3.1.0
6.4
APAR IZ47857 (available with IBM Communication Server 6.3.1.1) is required for 64-bit AIX Operating System.

Clients

Software
Software Version
Notes
IBM CICS Universal Client Any supported version of CICS Universal Client. Refer to CICS Universal Client System Requirements page for more details.
IBM CICS Transaction Gateway Any supported version of CICS Transaction Gateway. Refer to CICS Transaction Gateway System Requirements page for more details.

APAR PK81606 on CTG V7.2 is required for using IPIC.


Integration Middleware

Software
Software Version
Notes
IBM WebSphere MQ
Any supported version of IBM WebSphere MQ
Refer to IBM WebSphere MQ System requirements page for more details.

Rate this page:

(0 users)Average rating

Document information


More support for:

TXSeries
Maintenance

Software version:

7.1

Operating system(s):

AIX

Software edition:

All Editions

Reference #:

1379884

Modified date:

2014-02-19

Translate my page

Machine Translation

Content navigation